# Payments

Group: Accounting

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/accountingPayments)

A payment is money received from a customer and applied to the customer's invoices, with any unapplied balance left on the payment.

## Endpoints

- [List payments](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/payments.html): `GET /accounting/payments`
- [Create a payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createPayment.html): `POST /accounting/payments`
- [Search payments](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchPayment.html): `POST /accounting/payments/search`
- [Retrieve a payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getPayment.html): `GET /accounting/payments/{id}`
- [Update a payment](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updatePayment.html): `PATCH /accounting/payments/{id}`
- [Apply a payment to invoices](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/applyPayment.html): `POST /accounting/payments/{id}/apply`
- [Unapply a payment from invoices](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/unapplyPayment.html): `POST /accounting/payments/{id}/unapply`
